_Elm_Spinner_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields

Evas_Object * | ent
Evas_Object * | inc_button
Evas_Object * | dec_button
Evas_Object * | text_button
const char * | label
double | val
double | val_min
double | val_max
double | val_base
double | step
| step for the value change.
double | drag_prev_pos
double | drag_val_step
double | spin_speed
double | interval
double | first_interval
int | round
int | decimal_points
Ecore_Timer * | delay_change_timer
| a timer for a delay,changed smart callback
Ecore_Timer * | spin_timer
| a timer for a repeated spinner value change on mouse down
Ecore_Timer * | longpress_timer
| a timer to detect long press.
Eina_List * | special_values
Elm_Spinner_Format_Type | format_type
Eina_Bool | entry_visible: 1
Eina_Bool | entry_reactivate: 1
Eina_Bool | dragging: 1
Eina_Bool | editable: 1
Eina_Bool | wrap: 1
Eina_Bool | val_updated: 1
Eina_Bool | button_layout: 1
Eina_Bool | inc_btn_activated: 1

## Field Documentation

## step

double _Elm_Spinner_Data::step

step for the value change.

1 by default.

## longpress_timer

Ecore_Timer* _Elm_Spinner_Data::longpress_timer

a timer to detect long press.

After longpress timeout, start continuous change of values until mouse up